DVHTOOL(8)

NAME
dvhtool - Disk volume header manipulation tool

SYNOPSIS
dvhtool --device devicename [ option ]

dvhtool -d devicename [ option ]

DESCRIPTION
dvhtool is a utility for displaying SGI disk partition and volume header information as well as for copying files to and from the volume header.

It is similar to the IRIX(tm) utility of the same name, however the options and usage are quite different. Also, the IRIX utility cannot display partition and boot file information.

The disk volume header includes the disk partition table and the volume directory. The volume directory is an index to the files stored in the volume header part of the disk. These files can be anything but are usually standalone programs (like sash, the SGI standalone shell). The space available for files is usually limited to one, two or a few megabytes, this can only be changed by repartitioning the disk with fx, the SGI disk formatting and partitioning tool or fdisk.

You must be root to invoke dvhtool. The device name can be /dev/sda for the first disk, /dev/sdb for the second, and so on.

dvhtool will also work on a file image of a disk volume header.

OPTIONS -d, --device devicename Specify the volume header device name (or file image)

--print-volume-header
    Show volume header data only

--print-volume-directory
    Show volume table of contents

--print-partitions
    Show partition data

--print-all
    Equivalent to all three above options

--vh-remove name
    Remove volhdr file name.

--vh-to-unix name file
    Copy volhdr file name to Unix file file

--unix-to-vh file name
    Copy Unix file file to volhdr as name

--help
    Show usage information

SEE ALSO
fdisk(8)

IRIX tools: fx(1M), prtvtoc(1M), vh(7M).

AUTHORS

dvhtool was written by Ralf Baechle <ralf@oss.sgi.com>, Keith M. Wesolowski <wesolows@foobazco.org>, Tor Arntsen <tor@spacetec.no>, Guido Guenther <agx@debian.org>.